Set user-level Data Import quota for a specific user

PUT {{baseUrl}}/api/projects/:id/users/:userId/quotas

Set the amount of space, in MB, that can be used for the Data Import function for a specific user. The value provided is rounded to an integer. You obtain the authorization token needed to execute the request using POST /auth/login; you pass the authorization token in the request header. You specify the project ID and the user ID in the path of the request. You specify the quota amount for the user, in MB, in the body of the request.

Request Params

KeyDatatypeRequiredDescription
fieldsnullComma-separated, top-level field whitelist that allows the client to selectively retrieve part of the response model. If specified, extra filtering is applied, and for top-level object (if root model is an array, each array element), only the listed fields are kept in the response. For example, "id,elements" keeps only the "id" field and whole "elements" array field, omitting all other fields in the top-level response model.

Request Body

{"size"=>259528467404073}

HEADERS

KeyDatatypeRequiredDescription
X-MSTR-AuthTokenstring(Required) Authorization token
Content-Typestring

RESPONSES

status: OK

{"size":259528467677184,"user":{"name":"MSTR User","id":"7FC05A65473CE2FD845CE6A1D3F13233"}}